The filters and sort orders Discover creators takes
GET
/api/public/v1/tik_tok_shop/creators/discover/filtersConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopDiscoverFilters
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/discover/filters" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| options | array of object | required |
| options[].[].optionType | string | |
| options[].[].options | array of object | |
| options[].[].options[].[].children | array of object | |
| options[].[].options[].[].children[].[].id | string | |
| options[].[].options[].[].children[].[].name | string, nullable | |
| options[].[].options[].[].id | string | |
| options[].[].options[].[].name | string, nullable | |
| semantics | object | required |
| sorters | array of object | required |
| sorters[].[].algorithmId | string | |
| sorters[].[].name | string, nullable |
Example
{
"options": [
{
"optionType": "string",
"options": [
{
"children": [
null
],
"id": "string",
"name": "Example name"
}
]
}
],
"semantics": {},
"sorters": [
{
"algorithmId": "string",
"name": "Example name"
}
]
}Errors: 401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.